ASA-2019-00260 – TYPO3: Cross-Site Scripting (XSS) no Fluid Engine


For the English version of this alert, click here.

Allele Security Alert

ASA-2019-00260

Identificador(es)

ASA-2019-00260, TYPO3-CORE-SA-2019-013

Título

Cross-Site Scripting (XSS) no Fluid Engine

Fabricante(s)

TYPO3 Association

Produto(s)

TYPO3 CMS

Versão(ões) afetada(s)

TYPO3 CMS versões 8.0.0 até 8.7.24
TYPO3 CMS versões 9.0.0 até 9.5.5

Versão(ões) corrigida(s)

TYPO3 CMS versão 8.7.25
TYPO3 CMS versão 9.5.6

Prova de conceito

Desconhecido

Descrição

Descobriu-se que o Fluid Engine (pacote typo3fluid/fluid) é vulnerável a Cross-Site Scripting (XSS) ao usar o operador condicional ternário em modelos como o seguinte.

{showFullName ? fullName : defaultValue}

Detalhes técnicos

Desconhecido

Créditos

Bill Dagou

Referência(s)

TYPO3-CORE-SA-2019-013: Cross-Site Scripting in Fluid Engine
https://typo3.org/security/advisory/typo3-core-sa-2019-013/

TYPO3 9.5.6 and 8.7.25 security releases published
https://typo3.org/article/typo3-956-and-8725-security-releases-published/

[TYPO3-announce] Announcing TYPO3 v9.5.6 and v8.7.25 security releases
http://lists.typo3.org/pipermail/typo3-announce/2019/000442.html

Se encontrou algum erro neste alerta ou deseja uma análise compreensiva, entre em contato.

Última modificação: 16 maio 2019

Não somos responsáveis por qualquer perda de dados, corrupção de dispositivos ou qualquer outro tipo de problema devido ao uso de qualquer informação mencionada em nossos alertas de segurança.